/*******************************************************************/
/*                                                                 */
/*                      ADOBE CONFIDENTIAL                         */
/*                   _ _ _ _ _ _ _ _ _ _ _ _ _                     */
/*                                                                 */
/* Copyright 1992-2008 Adobe Systems Incorporated                  */
/* All Rights Reserved.                                            */
/*                                                                 */
/* NOTICE:  All information contained herein is, and remains the   */
/* property of Adobe Systems Incorporated and its suppliers, if    */
/* any.  The intellectual and technical concepts contained         */
/* herein are proprietary to Adobe Systems Incorporated and its    */
/* suppliers and may be covered by U.S. and Foreign Patents,       */
/* patents in process, and are protected by trade secret or        */
/* copyright law.  Dissemination of this information or            */
/* reproduction of this material is strictly forbidden unless      */
/* prior written permission is obtained from Adobe Systems         */
/* Incorporated.                                                   */
/*                                                                 */
/*******************************************************************/

#include	<PrSDKEffect.h>
#include	<PrSDKPixelFormat.h>
#include	<PrSDKPPixSuite.h>
#include	<PrSDKPixelFormatSuite.h>
#include	<PrSDKSequenceInfoSuite.h>
#include	"SDK_File.h"

typedef struct params
{
	prColor			color;
	csSDK_int32		percentage;
	csSDK_int32		angle;
	unsigned char	initializedCu;
} params, *paramsP, **paramsH;

// Declare plug-in entry point with C linkage
#ifdef __cplusplus
extern "C" {
#endif

PREMPLUGENTRY DllExport 
xFilter (
	short		selector, 
	VideoHandle theData);

#ifdef __cplusplus
}
#endif



static void 
blendPixel (
	csSDK_uint32	pixelA, 
	csSDK_uint32	pixelB,
	csSDK_int32		progress,
	csSDK_uint32 *	resultP);

static void 
blendPixel (
	float *		pixelAP, 
	float *		pixelBP,
	float		progress,
	float *		resultP);

static int
InitSpec(
	VideoHandle	theData,
	paramsH		specsH);