/*******************************************************************/
/*                                                                 */
/*                      ADOBE CONFIDENTIAL                         */
/*                   _ _ _ _ _ _ _ _ _ _ _ _ _                     */
/*                                                                 */
/* Copyright 1992-2008 Adobe Systems Incorporated                  */
/* All Rights Reserved.                                            */
/*                                                                 */
/* NOTICE:  All information contained herein is, and remains the   */
/* property of Adobe Systems Incorporated and its suppliers, if    */
/* any.  The intellectual and technical concepts contained         */
/* herein are proprietary to Adobe Systems Incorporated and its    */
/* suppliers and may be covered by U.S. and Foreign Patents,       */
/* patents in process, and are protected by trade secret or        */
/* copyright law.  Dissemination of this information or            */
/* reproduction of this material is strictly forbidden unless      */
/* prior written permission is obtained from Adobe Systems         */
/* Incorporated.                                                   */
/*                                                                 */
/*******************************************************************/

// Set PiPL version before including version header
#ifndef PiPLVerMajor
#define	PiPLVerMajor	2
#endif
#ifndef PiPLVerMinor
#define	PiPLVerMinor	2
#endif

#ifndef PRWIN_ENV
#define MAC_ENV
#include "PrSDKPiPLVer.h"
#include "PrSDKPiPL.r"
#endif

// The following three strings should be localized
#define plugInName		"SDK Cross Dissolve"
#define description		"Image A fades into image B."
#define plugInCategory	"SDK"			

// This name should not be localized or updated
#define plugInMatchName	"SDK Cross Dissolve"

resource 'PiPL' (16000)
{
	{
		// The plug-in type
		Kind {PrEffect},
		
		// The plug-in name as it will appear to the user
		Name {plugInName},
		
		// The internal name of this plug-in
		AE_Effect_Match_Name {plugInMatchName},
		
		// The folder containing the plug-in in the Effects Panel
		Category {plugInCategory},
		
		// The version of this PiPL resource definition
		AE_PiPL_Version {PiPLVerMajor, PiPLVerMinor},
		
		// Transition effect description, this should be localized
		Pr_Effect_Description {description},
		
		// Transition effect info flags
		Pr_Effect_Info 
		{
#if (PiPLVerMajor >= 2) && (PiPLVerMinor >= 2)
			1,	// version
#endif
			bitNone,
			bitNone,
#if (PiPLVerMajor >= 2) && (PiPLVerMinor >= 2)
			false,
			noExclusiveDialog,
			doesNotNeedCallbacksAtSetup,
			noDirectCompData,
#else
			doesNotNeedCallbacksAtSetup,
			false,
#endif
			dontWantInitialSetupCall,
			treatAsTransition,
			hasCustomDialog,
			dontHighlightOppositeCorners,
			notExclusive,
			notReversible,
			doesNotHaveEdges,
			doesNotHaveStartPoint,
			doesNotHaveEndPoint,
#if (PiPLVerMajor >= 2) && (PiPLVerMinor >= 3)
			// This won't be used because we are using PiPLVer2p2 so that we can respond to esCanHandlePAR
			// and specify different PARs for setup and execute if necessary
			fxBitAnyPAR
#else
			0
#endif
		}
	}
};