/*******************************************************************/
/*                                                                 */
/*                      ADOBE CONFIDENTIAL                         */
/*                   _ _ _ _ _ _ _ _ _ _ _ _ _                     */
/*                                                                 */
/* Copyright 1992-2008 Adobe Systems Incorporated                  */
/* All Rights Reserved.                                            */
/*                                                                 */
/* NOTICE:  All information contained herein is, and remains the   */
/* property of Adobe Systems Incorporated and its suppliers, if    */
/* any.  The intellectual and technical concepts contained         */
/* herein are proprietary to Adobe Systems Incorporated and its    */
/* suppliers and may be covered by U.S. and Foreign Patents,       */
/* patents in process, and are protected by trade secret or        */
/* copyright law.  Dissemination of this information or            */
/* reproduction of this material is strictly forbidden unless      */
/* prior written permission is obtained from Adobe Systems         */
/* Incorporated.                                                   */
/*                                                                 */
/*******************************************************************/

#include "PrSDKEffect.h"
#include "PrSDKPixelFormat.h"
#include "PrSDKPPixSuite.h"
#include "PrSDKAppInfoSuite.h"

// Declare plug-in entry point with C linkage
#ifdef __cplusplus
extern "C" {
#endif

PREMPLUGENTRY DllExport 
xEffect (
	short 			selector, 
	EffectHandle 	theData);

#ifdef __cplusplus
}
#endif

static prMALError Execute(EffectHandle theData);
static prMALError Setup(EffectHandle theData);
static prMALError DisposeData(EffectHandle theData);
static prMALError CanHandlePAR(EffectHandle theData);
static prMALError GetPixelFormatsSupported(EffectHandle theData);

static void RenderDissolve(	EffectHandle theData,
							PPixHand source1PPH,
							PPixHand source2PPH,
							PPixHand destPPH,
							prRect *bounds,
							PrPixelFormat pixelFormat,
							float transitionProgress);
static void RenderDissolve32f(	EffectHandle theData,
								PPixHand source1PPH,
								PPixHand source2PPH,
								PPixHand destPPH,
								prRect *bounds,
								PrPixelFormat pixelFormat,
								float transitionProgress);

static void DemoUsingInstanceData(EffectHandle theData, char ***instanceData);
static void DemoUsingCallback(EffectHandle theData, prRect *bounds);